<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_delay.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>vx_delay.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>Implementation of Delay object. </p>

<p><a href="vx__delay_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__delay__param__t.html">tivx_delay_param_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The internal representation of the delay parameters as a list.  <a href="structtivx__delay__param__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__delay__t.html">tivx_delay_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Delay object internal state.  <a href="structtivx__delay__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__delay__cfg.html#gaa945633d04f86c392278ca20867eac85">TIVX_DELAY_MAX_OBJECT</a>&nbsp;&nbsp;&nbsp;(8)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Maximum number of objects supported inside delay object.  <a href="group__group__vx__delay__cfg.html#gaa945633d04f86c392278ca20867eac85"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__delay__cfg.html#ga4e91cbe375e45cb4403dca2f72d60ab1">TIVX_DELAY_MAX_PRM_OBJECT</a>&nbsp;&nbsp;&nbsp;(16)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Maximum number of paramter objects that can be associated with a delay.  <a href="group__group__vx__delay__cfg.html#ga4e91cbe375e45cb4403dca2f72d60ab1"></a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__delay.html#gab11f80173ad6066184537c264c647feb">ownAddAssociationToDelay</a> (<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> value, <a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> n, <a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> i)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Adds an association to a node to a delay slot object reference.  <a href="group__group__vx__delay.html#gab11f80173ad6066184537c264c647feb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__delay.html#gaebf2b68648ae0503ed5ba08e9696bbce">ownRemoveAssociationToDelay</a> (<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> value, <a class="el" href="vx__types_8h.html#a7f1b5d91fac63093ee3a77e87d942f96">vx_node</a> n, <a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> i)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes an association to a node from a delay slot object reference.  <a href="group__group__vx__delay.html#gaebf2b68648ae0503ed5ba08e9696bbce"></a><br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
